## oneko 1.1b

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.224 94/12/27 03:57:50 gildea Exp $
# $XFree86: xc/config/cf/Imake.tmpl,v 3.8 1995/01/25 10:42:43 dawes Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.19 95/01/05 19:24:32 kaleb Exp $
# $XFree86: xc/config/cf/Imake.cf,v 3.13 1995/01/28 15:40:15 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.7 1995/01/04 04:36:01 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.35 1995/01/25 11:17:10 dawes Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $XConsortium: linux.cf,v 1.11 95/01/23 18:32:03 kaleb Exp $
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.22 1995/01/28 15:40:22 dawes Exp $

# $XConsortium: lnxLib.rules,v 1.8 95/01/16 21:11:00 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.11 1995/01/28 15:40:25 dawes Exp $

# $XConsortium: xfree86.cf,v 1.9 95/01/25 16:42:40 kaleb Exp $
# $XFree86: xc/config/cf/xfree86.cf,v 3.48 1995/01/28 15:40:38 dawes Exp $

LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers

XF86INIT   = $(XF86COMSRC)/xf86Init.o
XF86MINIT  = $(XF86COMSRC)/xf86Init_m.o
XF86CONFIG = $(XF86CONFIGSRC)/xf86_Option.o
XF86COMLIB = $(XF86COMSRC)/libxf86.a
XF86OSLIB  = $(XF86OSSRC)/libxf86_os.a
XF86HWLIB  = $(XF86HWSRC)/libxf86_hw.a
XF86LIBS   = $(XF86INIT) $(XF86CONFIG) $(XF86COMLIB) $(XF86HWLIB) $(XF86OSLIB)
XF86MLIBS  = $(XF86MINIT) $(XF86CONFIG) $(XF86COMLIB) $(XF86HWLIB) $(XF86OSLIB)

        XFREE86DOCDIR = $(LIBDIR)/doc
      XFREE86PSDOCDIR = $(XFREE86DOCDIR)/PostScript
    XFREE86HTMLDOCDIR = $(XFREE86DOCDIR)/html
XFREE86JAPANESEDOCDIR = $(XFREE86DOCDIR)/Japanese

# $XConsortium: xf86.rules,v 1.7 95/01/25 16:34:39 kaleb Exp $
# $XFree86: xc/config/cf/xf86.rules,v 3.7 1995/01/28 15:40:36 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.7 1995/01/04 04:36:01 dawes Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.197 94/12/05 19:30:41 gildea Exp $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.11 1995/01/14 10:39:25 dawes Exp $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cxx

              CXX = g++
    CXXDEBUGFLAGS = -O2 -m486
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
  CXXIDL_INCLUDES = -I$(TOP)/include
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS =

         PICFLAGS = -B/usr/bin/jump

      CXXPICFLAGS = -B/usr/bin/jump

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2 -m486
        CCOPTIONS = -ansi

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.248 95/01/06 19:12:51 gildea Exp $
# $XFree86: xc/config/cf/Project.tmpl,v 3.12 1995/01/25 10:42:48 dawes Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: lnxLib.tmpl,v 1.5 95/01/11 21:44:44 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.tmpl,v 3.6 1995/01/28 15:40:27 dawes Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.0
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext
   LBXXEXTLIBSRC = $(TOP)/workInProgress/lbx/lib/Xext

    XEXEXTLIBSRC = $(LIBSRC)/XExExt

SOXEXTREV = 6.0
DEPXEXTLIB =
XEXTLIB =  -lXext

LINTXEXT = $(LINTLIBDIR)/llib-lXext.ln

SOXEXTREV = 6.0
DEPLBXXEXTLIB =
LBXXEXTLIB =  -llbxXext

LINTLBXXEXT = $(LINTLIBDIR)/llib-llbxXext.ln

DEPXEXEXTLIB = $(USRLIBDIR)/libXExExt.a
XEXEXTLIB =  -lXExExt

LINTXEXEXT = $(LINTLIBDIR)/llib-lXExExt.ln

     EXTENSIONLIB = $(XEXEXTLIB) $(XEXTLIB)
  DEPEXTENSIONLIB = $(DEPXEXEXTLIB) $(DEPXEXTLIB)
    LINTEXTENSION = $(LINTXEXEXT) $(LINTXEXT)

 LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.0
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =
FRESCOLIB =  -lFresco

LINTFRESCO = $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 6.0
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

## oneko 1.2.sakura.6

=== debian/changelog ===
oneko (1.2.sakura.6-8) unstable; urgency=low

  * debian/source/format, debian/README.source
  - Switch to dpkg-source 3.0 (quilt) format
  * debian/rules, debian/control
  - Removed quilt from Build-Depends, not needed anymore
  * debian/control
  - Bump Standards-Version to 3.9.2 (no other changes)
  - Fixed short description to make lintian happy
  - Expanded long description with some interesting details
  - Development moved to git.debian.org: added Vcs-* headers

 -- Ricardo Mones <mones@debian.org>  Sat, 20 Aug 2011 12:26:35 +0200

oneko (1.2.sakura.6-7) unstable; urgency=low

  * debian/rules, debian/control
  - Link to X11 and build with -Wl,--no-add-needed (Closes: #555786)
  - Add lintian override because killall is provided by depends
  - Require debhelper version because of using dh overrides in rules
  * debian/control
  - Bump Standards-Version to latest (no other changes required)
  - Ensure we have a killall by adding psmisc to the dependencies
  * debian/patches/*.patch
  - Add comment headers to existing patches
  * debian/README.source
  - Added file pointing out that packaging uses quilt
  * debian/watch
  - Added (has not changed since 1999, but who knows...)

 -- Ricardo Mones <mones@debian.org>  Thu, 31 Dec 2009 16:01:07 +0100

oneko (1.2.sakura.6-6) unstable; urgency=low

  * debian/control
  - Added Homepage, newer Standards-Version (no other changes required), 
    removed Vcs-Git pointer, new maintainer (Closes: #487477)   
  * patches/bsd_daemon_removal.patch, patches/series,
    debian/control, debian/rules
  - Added source modifications as a separate patch, handled with quilt

 -- Ricardo Mones <mones@debian.org>  Fri, 27 Jun 2008 00:50:00 +0200

oneko (1.2.sakura.6-5) unstable; urgency=low

  * debhelper 7, rules file minimisation
  * Orphaned the package (again).

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Jun 2008 22:06:05 -0400

oneko (1.2.sakura.6-4) unstable; urgency=low

  * Patch from Jörgen Tegnér, adding a -cursor option to specify a cursor
    to set when quitting. Closes: #159885 (or rather, allows working around
    it)

 -- Joey Hess <joeyh@debian.org>  Thu,  8 Feb 2007 18:40:44 -0500

oneko (1.2.sakura.6-3) unstable; urgency=low

  * New (old) maintainer. Thanks to Steve for carrying the ball for the past
    ten years.
  * debhelper v5.
  * Current policy.
  * Stop using Imake, move stuff out of /usr/X11R6.
    Closes: #221267
  * Dehardcode paths in menu file.
  * Improve copyright file; the (Japanese) README apparently says that
    it's public domain, which is better than some LSM file on sunsite.

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Jan 2006 17:41:48 -0500

oneko (1.2.sakura.6-2) unstable; urgency=low

  * QA upload to help with xlibs-dev transition.
  * Orphan package, as requested in #348199.    
  * debian/control: Replace xlibs-dev build-dep (Closes: #347132)
  * oneko.c: Apply patch from Steve Kemp to handle long command line
    arguments. Thanks, dude. (Closes: #221270)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 09:49:27 +0100

oneko (1.2.sakura.6-1) unstable; urgency=low

  * Removed BSD Daemon because of copyright issues

 -- Steve Dunham <dunham@cse.msu.edu>  Sun, 22 Sep 2002 07:13:43 -0700

oneko (1.2.sakura.5-1) unstable; urgency=low

  * New upstream version
  * This version adds: sakura, tomoyo, and bsd daemon graphics.
  * Closes: #55153

 -- Steve Dunham <dunham@debian.org>  Sat, 21 Sep 2002 10:20:41 -0700

oneko (1.1b-11.1) unstable; urgency=low

  * NMU
  * This upload goes only to unstable. (closes: #88594)
  * Added build dependencies. (closes: #86969)
  * Removed the obsolete call to dh_testversion from debian/rules.

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 14 Apr 2001 23:31:52 +0200

oneko (1.1b-11) woody unstable; urgency=low

  * New standards version
  * Tweak man page. Closes #56433, #51717 

 -- Steve Dunham <dunham@debian.org>  Wed, 14 Feb 2001 16:45:39 -0800

oneko (1.1b-10) unstable; urgency=low

  * Fix man page
  * Closes: #54164

 -- Steve Dunham <dunham@cps.msu.edu>  Sat,  8 Jan 2000 23:26:54 -0800

oneko (1.1b-9) unstable; urgency=low

  * Rebuild for FSSTND

 -- Steve Dunham <dunham@cps.msu.edu>  Tue, 28 Sep 1999 16:35:08 -0400

oneko (1.1b-8) unstable; urgency=low

  * Fix menu file
  * Switch to debhelper

 -- Steve Dunham <dunham@cps.msu.edu>  Wed, 16 Jun 1999 16:57:35 -0400

oneko (1.1b-7) unstable; urgency=low

  * Properly link with libc6

 -- Steve Dunham <dunham@cps.msu.edu>  Mon,  3 Nov 1997 13:33:34 -0500

oneko (1.1b-6) unstable; urgency=low

  * Make source package compatible with autobuild

 -- Steve Dunham <dunham@cps.msu.edu>  Mon, 21 Jul 1997 18:57:19 -0400

oneko (1.1b-5) unstable; urgency=low

  * New maintainer

 -- Steve Dunham <dunham@cps.msu.edu>  Fri, 7 Mar 1997 23:33:24 -0500

oneko (1.1b-4) unstable; urgency=low

  * Stop oneko process with -TERM instead of -KILL, so it can restore the
    mouse cursor to normal before exiting.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 26 Dec 1996 11:12:35 -0500

oneko (1.1b-3) unstable; urgency=low

  * Use debmake.
  * Added a menu file.
  * Routine update of debian/rules:
    New email address.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 24 Dec 1996 16:17:38 -0500

oneko (1.1b-2) unstable; urgency=low

  * Updated man page to document -dog option.
  * Spiffed up spelling, grammar used on man page.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 25 Sep 1996 00:00:36 -0400

oneko (1.1b-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 17 Sep 1996 14:34:29 -0400

=== debian/control ===
Source: oneko
Section: games
Priority: optional
Maintainer: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxext-dev
Standards-Version: 3.9.2
Homepage: http://www.daidouji.com/oneko/
Vcs-Git: git://git.debian.org/git/users/mones/oneko.git
Vcs-Browser: http://git.debian.org/?p=users/mones/oneko.git

Package: oneko
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc
Description: cat chases the cursor (now a mouse) around the screen
 A cat (neko) chases the cursor (now a mouse) around the screen while 
 you work.  Alternatively, a dog chases a bone. There are menu options
 for starting and stopping the program easily on cat and dog modes.
 Other variations and detailed configurations are available through
 command line options.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

build: build-stamp

build-stamp:
	dh build
	cc oneko.c -O2 \
		-Wl,--no-add-needed \
		-L/usr/X11R6/lib -I/usr/include/X11 \
		-lX11 -lXext -lm -DSHAPE \
		-o oneko
	touch build-stamp

override_dh_auto_install:
	dh_auto_install
	# add lintian override:
	# menu command provided by a dependency is not detected
	mkdir -p `pwd`/debian/oneko/usr/share/lintian/overrides
	echo "oneko binary: menu-command-not-in-package" \
                > `pwd`/debian/oneko/usr/share/lintian/overrides/oneko

binary-arch: build

binary-indep:
	# avoid another cc invocation

binary: binary-indep binary-arch
